Components.utils.import("resource://gre/modules/PluralForm.jsm");

function _SIlinkerCheckSite() {
	// check and correct if 'site' ends on '/'

	var	el=document.getElementById("addr");
	var t=el.value;
	
	if(t.indexOf('/')>-1) el.value=t.substr(0,t.indexOf('/'));
}

function _SIlinkerSetChecks(event) {

	_SIlinkerCheckCheck(event);
	_SIlinkerCheckNum(event);
	_SIlinkerSetPlural();
}

function _SIlinkerCheckCheck(event) {
	// enable/disable checkboxes
	
	var	el1=document.getElementById("check3");
	var	el2=document.getElementById("check4");
	var	el3=document.getElementById("check5");
	
	if(event.button==0)
		el3.disabled=el2.disabled=el1.checked;
	else
		el3.disabled=el2.disabled=!el1.checked;
}

function _SIlinkerCheckNum(event) {
	// enable/disable period textbox
	
	var	el1=document.getElementById("check7");
	var	el2=document.getElementById("period");
	
	if(event.button==0)
		el2.disabled=el1.checked;
	else
		el2.disabled=!el1.checked;
}

function _SIlinkerSetPlural() {
	// set correct form for label

	var strings=document.getElementById("silinker-options-strings");
	let [get, numForms] = PluralForm.makeGetter(parseInt(strings.getString('pluralform')));
	var str=strings.getString('hours');
	var num=parseInt(document.getElementById("period").value);
	document.getElementById("hour-label").value=get(num,str);
}
