window.addEventListener("load", _SIlinker_sidebar_startup, false);
window.addEventListener("unload", _SIlinker_sidebar_shutdown, false);

var _SIlinker_mainWindow = null;

var _SIlinker_mainPrefs = null;

var _SIlinker_showdate;

function _SIlinker_sidebar_startup() {
	// Sidebar is loaded and mainwindow is ready                   
  
	_SIlinker_mainWindow = window.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
            			         .getInterface(Components.interfaces.nsIWebNavigation)
			                     .QueryInterface(Components.interfaces.nsIDocShellTreeItem)
            			         .rootTreeItem
			                     .QueryInterface(Components.interfaces.nsIInterfaceRequestor)
            			         .getInterface(Components.interfaces.nsIDOMWindow);

    _SIlinker_mainPrefs = _SIlinker_mainWindow._SIlinker_prefs;
    
	document.getElementById('shownew').setAttribute('checked',_SIlinker_mainPrefs.getBoolPref('shownew'));
	_SIlinker_showdate = _SIlinker_mainPrefs.getBoolPref('showdate');
	document.getElementById('showdate').setAttribute('checked',_SIlinker_showdate);

	_SIlinker_treeView.master=_SIlinker_mainWindow._SIlinker_data;
	document.getElementById('silinker-tree').view = _SIlinker_treeView;
}

function _SIlinker_sidebar_shutdown() {
	// Sidebar is unloading
}

function _showSIlinkerItem() {
	// show or hide items in context menu

	var lvl = -1;
	var upd = 0;
	var urg = false;

	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		lvl=_SIlinker_treeView.master[idx].level;
		upd=_SIlinker_treeView.master[idx].updated;
		urg=(_SIlinker_treeView.master[idx].urgent==1);
	}
	
	document.getElementById('silinker-sidebar-read').hidden=(lvl!=3);
	document.getElementById('silinker-sidebar-open').hidden=(lvl<1);
	document.getElementById('silinker-sidebar-update').hidden=(lvl<1);
	document.getElementById('silinker-sidebar-updall').hidden=(lvl!=0);
	document.getElementById('silinker-sidebar-sep2').hidden=(lvl<1);
	document.getElementById('silinker-sidebar-urgent').hidden=(lvl<3);
	document.getElementById('silinker-sidebar-urgent').setAttribute('checked',urg);
	document.getElementById('silinker-sidebar-urgents').hidden=(lvl<1)||(lvl>2);
	document.getElementById('silinker-sidebar-urgents').setAttribute('checked',urg);
	document.getElementById('silinker-sidebar-sep').hidden=((lvl>1)&&(!upd))||(lvl<0);
	document.getElementById('silinker-sidebar-clear').hidden=!upd;
	document.getElementById('silinker-sidebar-chsite').hidden=(lvl!=0);
	document.getElementById('silinker-sidebar-delauthor').hidden=(lvl!=1);
	document.getElementById('silinker-sidebar-delall').hidden=(lvl!=0);
}

function _SIlinker_shownew_click() {

	var shownew=!(_SIlinker_mainPrefs.getBoolPref('shownew'));
	document.getElementById('shownew').setAttribute('checked',shownew);
	_SIlinker_mainPrefs.setBoolPref('shownew',shownew);
	_SIlinker_mainWindow._SIlinkerInitData();
	_SIlinker_treeView.treeBox.rowCountChanged(0,-_SIlinker_treeView.master.length);
	_SIlinker_treeView.master=_SIlinker_mainWindow._SIlinker_data;
	_SIlinker_treeView.treeBox.rowCountChanged(0,_SIlinker_treeView.master.length);
}

function _SIlinker_showdate_click() {

	_SIlinker_showdate=!(_SIlinker_mainPrefs.getBoolPref('showdate'));
	document.getElementById('showdate').setAttribute('checked',_SIlinker_showdate);
	_SIlinker_mainPrefs.setBoolPref('showdate',_SIlinker_showdate);
	_SIlinker_treeView.treeBox.invalidate();
}

function _SIlinkerSortShow() {
	// set radio for sortorder
	
	switch(_SIlinker_mainPrefs.getCharPref('sortord')) {
		case 'byname': 
			document.getElementById('byname').setAttribute('checked','true');
			break;
		case 'bydate': 
			document.getElementById('bydate').setAttribute('checked','true');
			break;
		case 'byid': 
		default:
			document.getElementById('byid').setAttribute('checked','true');
			break;
	}
}

function _SIlinkerSortBy(order) {
	// set sortorder
	
	_SIlinker_mainPrefs.setCharPref('sortord',order);
	_SIlinker_mainWindow._SIlinkerInitData();
	_SIlinker_treeView.treeBox.rowCountChanged(0,-_SIlinker_treeView.master.length);
	_SIlinker_treeView.master=_SIlinker_mainWindow._SIlinker_data;
	_SIlinker_treeView.treeBox.rowCountChanged(0,_SIlinker_treeView.master.length);
}

var _SIlinker_treeView = {

	master: [],
	
	treeBox: null,
	
	get rowCount() { return this.master.length; },  
    
    getCellText: function(row,col) {
    	var name=this.master[row].name;
    	
    	if(_SIlinker_showdate&&(this.master[row].level==3)) {
	    	var upd_date=this.master[row].upd_date;
    		var now=new Date();
    		var diff=now.getTime()-upd_date.getTime();
    	
    		if(diff<43200000)
    			name+=upd_date.toLocaleFormat(' [%H:%M]');
    		else if(diff<5356800000)
    			name+=upd_date.toLocaleFormat(' [%d %b]').replace(/ \[0/,' [');
    		else
    			name+=upd_date.toLocaleFormat(' [%b %Y]');
    	}
    	
    	return name;
    },  
    
    setTree: function(treebox) { this.treeBox = treebox; },  
    
    isContainer: function(row) { return (this.master[row].level<3); },
    
    isContainerOpen: function(row) { return this.master[row].open; },  
    
    isContainerEmpty: function(row) {
    	if(this.master[row].pocket!=null) return false;
    	else if(row==this.master.length-1) return true;
    	else return (this.master[row+1].level<=this.master[row].level);
    },
    
    getLevel: function(row) { return this.master[row].level; },
    
    getImageSrc: function(row,col) {
    	var path='chrome://silinker/skin/';

   		if(this.master[row].updating) return path+'throbber.gif';

   		if(this.master[row].error && (this.master[row].level>0))
   			return path+'warning.png';

   		switch(this.master[row].level) {
   			case 0: path+='domain'; break;
   			case 1: path+='author'; break;
   			case 2: path+='folder'+(this.master[row].open ? '-open' : '-close'); break;
   			case 3: path+='novel'; break;
   		}

   		return path+(this.master[row].updated ? (this.master[row].urgent ? '-urg' : '-upd') : '')+'.png';
    },  
    
    getParentIndex: function(idx) {
    	if(this.master[idx].level==0) return -1;
    	else {
    		var lvl=this.master[idx].level-1;
    		var i=idx;
    		while(this.master[--i].level!=lvl);
    		return i;
    	}
    },
    
    hasNextSibling: function(idx, after) {
    	if(idx==this.master.length-1 || after==this.master.length-1) return false;
    	else {
    		var lvl=this.master[idx].level;
    		var i=after;
    		while(++i<this.master.length) {
    			if(this.master[i].level==lvl) return true;
    			else if(this.master[i].level<lvl) return false;
    		}
    		return false;
    	}
    },

    toggleOpenState: function(idx) {
    	if(this.master[idx].level==3) return;
    	if(this.master[idx].open) {
    		var lvl=this.master[idx].level;
    		var i=idx;
    		while(++i<this.master.length)
    			if(this.master[i].level<=lvl) break;
    		var len=i-idx-1;
    		if(len>0) {
    			var pocket=this.master.splice(idx+1,len);
    			this.master[idx].pocket=pocket;
    			this.treeBox.rowCountChanged(idx+1,-len);
    		}		
    		this.master[idx].open=false;
    	}
    	else {
    		if(this.master[idx].pocket!=null) {
    			var pocket=this.master[idx].pocket;
    			this.master[idx].pocket=null;
    			var j=0;
    			var k=idx+1;
    			while(j<pocket.length)
    				this.master.splice(k++,0,pocket[j++]);
    			this.treeBox.rowCountChanged(idx+1,pocket.length);
    		}
    		this.master[idx].open=true;
    	}
    	this.treeBox.invalidateRow(idx);
    },

    isSorted: function() { return true; },  
    isEditable: function(row, column) { return false; },
    isSelectable: function(row, column) { return false; },
    isSeparator: function(row) { return false; },
    canDrop: function(idx,orient,data) { return false; },
    
    drop: function(idx,orient,data) {},
    getRowProperties: function(row,props) {},  
    getCellProperties: function(row,col,props) {},  
    getColumnProperties: function(col,props) {},
    getProgressMode : function(idx,column) {},  
    getCellValue: function(idx,column) {},  
    setCellValue: function(idx,column,value) {},  
    setCellText: function(idx,column,value) {},  
    cycleHeader: function(col) {},  
    selectionChanged: function() {},  
    cycleCell: function(idx, column) {},  
    performAction: function(action) {},  
    performActionOnCell: function(action, index, column) {},
    performActionOnRow: function(action, row) {}
};  

function _SIlinkerAuthor(aBkg) {
	// open author page
	
	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var data=_SIlinker_treeView.master;
		while(data[idx].level!=1) idx--;
		_SIlinker_mainWindow._SIlinkerAuthor(data[idx].id,aBkg);
	}
}

function _SIlinkerYesNo(string,name) {
	var prompts = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]  
                            .getService(Components.interfaces.nsIPromptService);
    var strbundle = document.getElementById("silinker-strings");
    var title=strbundle.getString("title");
	var alert=strbundle.getFormattedString(string,[name]);
	var check = {value: false};

	return prompts.confirmEx(null, title, alert, 67109891, "", "", "", null, check);
}

function _SIlinkerDelAuthor() {
	// delete author

	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var ans=_SIlinkerYesNo("warningAuthor",_SIlinker_treeView.master[idx].name)
		if(ans==0) {
			_SIlinkerClear();
			_SIlinker_mainWindow._SIlinkerDelAuthor(idx);
		}
	}
}

function _SIlinkerDelAll() {
	// delete all authors from specific site

	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var ans=_SIlinkerYesNo("warningAll",_SIlinker_treeView.master[idx].name)
		if(ans==0) {
			_SIlinkerClear();
			_SIlinker_mainWindow._SIlinkerDelAll(idx);
		}
	}
}

function _SIlinkerClear() {
	// clear 'updated' flag

	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var id=_SIlinker_treeView.master[idx].id;
		var lvl=_SIlinker_treeView.master[idx].level;
		var cnt=_SIlinker_treeView.master[idx].updated;
		_SIlinkerClearTreeUp(_SIlinker_treeView.master,idx,lvl,cnt);
		_SIlinkerClearTreeDown(_SIlinker_treeView.master,idx,lvl,true);
		_SIlinker_mainWindow._SIlinkerClear(id,lvl);
		if(_SIlinker_mainPrefs.getBoolPref('shownew')) _SIlinkerClearTreeCut();
	}
}

function _SIlinkerClearTreeDown(data,idx,lvl,visible) {
	//clear 'updated' flag in tree downstream
	
	var i = idx;
	
	while(true) {
		data[i].updated=0;
		if(visible) _SIlinker_treeView.treeBox.invalidateRow(i);
		if(data[i].pocket!=null) _SIlinkerClearTreeDown(data[i].pocket,0,lvl,false);
		i++;
		if(i==data.length) break;
		if(data[i].level<=lvl) break;
	}
}

function _SIlinkerClearTreeUp(data,idx,lvl,cnt) {
	//check and clear 'updated' flag in tree upstream
	
	var i = idx;
	
	while(lvl>=0) {
		while(data[i].level!=lvl) i--;
		data[i].updated-=cnt;
		_SIlinker_treeView.treeBox.invalidateRow(i);
		lvl--;
	}
}

function _SIlinkerClearTreeCut() {
	//cut rows without 'updated' or 'error' flags
	
	var data=_SIlinker_treeView.master;
	var idx=0;
	var i=0;
	
	while(idx<data.length) {
		while(i<data.length && data[i].updated==0 && data[i].error==0 && data[i].level>0) i++;
		if(i>idx) {
			data.splice(idx,i-idx);
			_SIlinker_treeView.treeBox.rowCountChanged(idx,idx-i);
		}
		idx++;
		i=idx;
	}
}

function _SIlinkerUpdate() {
	// update author
	
	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var data=_SIlinker_treeView.master;
		while(data[idx].level>1) idx--;
		data[idx].updating=true;
		_SIlinker_treeView.treeBox.invalidateRow(idx);
		_SIlinker_mainWindow._SIlinkerUpdateAuthor(data[idx].id);
	}
}

function _SIlinkerUpdSite() {
	// update all authors from site
	
	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var data=_SIlinker_treeView.master;
		var site=data[idx].id;
		var visible=true;
	
		if(data[idx].pocket) {
			data=data[idx].pocket;
			idx=0;
			visible=false;
		}
		else idx++;
		while((idx<data.length)&&(data[idx].level>0)) {
			if(data[idx].level==1) data[idx].updating=true;
			if(visible) _SIlinker_treeView.treeBox.invalidateRow(idx);
			idx++;
		}
		_SIlinker_mainWindow._SIlinkerUpdateSite(site);
	}
}

function _SIlinkerUpdAll() {
	// update all authors
	
	_SIlinker_mainWindow._SIlinkerUpdateAll();
	_SIlinker_treeView.treeBox.invalidate();
}

function _SIlinkerRead(aBkg) {
	// open novel in si-reader

	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var data=_SIlinker_treeView.master;
		if(data[idx].level!=3) return;
		_SIlinker_mainWindow._SIlinkerRead(_SIlinker_treeView.master[idx].id,aBkg);
		_SIlinkerClear();
	}
}

function _SIlinkerChSite() {
	// change sites' domain name

	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var data=_SIlinker_treeView.master;
		var id=data[idx].id;
		var site=_SIlinker_mainWindow._SIlinkerGetSite(id);

		var prompts = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]  
        	                    .getService(Components.interfaces.nsIPromptService);
	    var strbundle = document.getElementById("silinker-strings");
    	var title=strbundle.getString("title");
		var text=strbundle.getFormattedString('changeSite',[data[idx].name]);
		var check = {value: false};
		var input = {value: site};
	
		if(prompts.prompt(null,title,text,input,null,check)) {
			_SIlinker_mainWindow._SIlinkerSetSite(id,input.value);
		}	
	}
}

function _SIlinkerUrgentMark(data,idx,lvl,urg,visible) {

	while((idx<data.length)&&(data[idx].level>lvl)) {
		data[idx].urgent=urg;
		if(visible) _SIlinker_treeView.treeBox.invalidateRow(idx);
		if(data[idx].pocket) _SIlinkerUrgentMark(data[idx].pocket,0,lvl,urg,false);
		idx++;
	}
}

function _SIlinkerUrgent() {
	// change urgent status

	var idx=document.getElementById('silinker-tree').currentIndex;
	if(idx>=0) {
		var data=_SIlinker_treeView.master;
		var id=data[idx].id;
		var lvl=data[idx].level;
		var urg=!data[idx].urgent;
		var all=false;

		if(lvl<3) {
			var prompts = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]  
            	                    .getService(Components.interfaces.nsIPromptService);
		    var strbundle = document.getElementById("silinker-strings");
		    var title=strbundle.getString("title");
    		var query=strbundle.getString((urg ? 'mark' : 'drop')+"Urgent"+(lvl==1 ? 'Auth' : 'Fold'));
			var check = {value: false};
    		all=(prompts.confirmEx(null, title, query, 1027, "", "", "", null, check)==0);
    	}

		_SIlinker_mainWindow._SIlinkerSetUrgent(lvl,id,urg,all);

		data[idx].urgent=urg;
		_SIlinker_treeView.treeBox.invalidateRow(idx);
		if(all) {
			var open=data[idx].open;
			_SIlinkerUrgentMark(open?data:data[idx].pocket,open?idx+1:0,lvl,urg,open);
		}
	}
}
